## magnum 8.0.0~rc1

=== debian/changelog ===
magnum (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Update uversionmangle to handle rc's etc.
  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 09:25:35 -0400
