=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
http://tarballs.openstack.org/magnum magnum-(\d.*)\.tar\.gz
