=== debian/changelog ===
magnum (8.0.0-0ubuntu1) disco; urgency=medium

  * d/watch: Track 8.x series.
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:12:56 +0100
