## magnum 9.0.0~rc1

=== debian/changelog ===
magnum (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/skip-tests-py3.patch: Dropped. No longer needed.
  * d/watch: Track 9.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:31:14 -0400

magnum (9.0.0~b2~git2019073018.2d9e0587-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/rules: fix the binary name that generates sample config file
  * d/rules: fix the binary name that generates sample policy file

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:29:07 +0200

magnum (9.0.0~b1~git2019061411.3217e75b-0ubuntu2) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests-py3.patch: Refreshed.
  * d/rules: Fix binary name used to generate config file.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:11:23 +0100
