=== debian/control ===
--- 
+++ 
@@ -22,7 +22,10 @@
  bandit,
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-barbicanclient (>= 4.5.2),
+ python3-bashate (>= 0.5.1),
+ python3-cinderclient (>= 1:2.2.0),
  python3-cliff (>= 2.8.0),
  python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
@@ -35,7 +38,7 @@
  python3-hacking (>= 0.12.0),
  python3-heatclient (>= 1.10.0),
  python3-iso8601 (>= 0.1.11),
- python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonpatch (>= 1.16),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -46,7 +49,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-octaviaclient (>= 1.6.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -61,7 +64,7 @@
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck,
+ python3-oslo.upgradecheck (>= 0.1.1),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
@@ -160,6 +163,7 @@
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
+ python3-cinderclient (>= 1:2.2.0),
  python3-cliff (>= 2.8.0),
  python3-cryptography (>= 2.1),
  python3-decorator (>= 3.4.0),
@@ -168,7 +172,7 @@
  python3-glanceclient (>= 1:2.8.0),
  python3-heatclient (>= 1.10.0),
  python3-iso8601 (>= 0.1.11),
- python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonpatch (>= 1.16),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -177,6 +181,7 @@
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
+ python3-octaviaclient (>= 1.6.0),
  python3-openstackclient,
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -190,6 +195,7 @@
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.1),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-pbr (>= 2.0.0),
