## magnum 9.2.0

=== requirements.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0
+python-cinderclient>=2.2.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
