=== debian/changelog ===
magnum (9.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 27 Jan 2020 13:42:29 +0100

magnum (9.1.0-2) unstable; urgency=medium

  * Rebuild with newer openstack-pkg-tools

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 17 Dec 2019 12:50:50 +0100

magnum (9.1.0-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Dec 2019 09:42:17 +0100

magnum (9.0.0-3) unstable; urgency=medium

  * Modify Cinder and Trustee configuration only if requested through debconf.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Oct 2019 17:08:10 +0100

magnum (9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * d/changelog: Remove trailing whitespaces.

  [ Michal Arbet ]
  * Add keystone_auth support debconf.
  * /etc/magnum/magnum.conf [trust]:
   - set cluster_user_trust = true by default.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Oct 2019 15:15:27 +0200

magnum (9.0.0-1) experimental; urgency=medium

  * Cosmetic fix of init message.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:28:03 +0200

magnum (9.0.0~rc1-3) experimental; urgency=medium

  * Add /etc/magnum/keystone_auth_default_policy.json

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 07 Oct 2019 18:38:12 +0200

magnum (9.0.0~rc1-2) experimental; urgency=medium

  * d/copyright: Update copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 30 Sep 2019 10:54:04 +0200

magnum (9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.

  [ Michal Arbet ]
  * New upstream release.
  * d/patches/revert-magnum-proxy-patch.patch:
    - Remove as it is already applied in upstream

  [ Thomas Goirand ]
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 23:38:37 +0200

magnum (8.0.0-3) unstable; urgency=medium

  * Switch magnum-api to uwsgi.
  * Fixed pybasedir and state_path to correct values.
  * Add revert-magnum-proxy-patch.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 May 2019 09:05:48 +0200

magnum (8.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year in my line

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:22:39 +0200

magnum (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:45:54 +0200

magnum (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Added python3-upgradecheck.
  * Removed fix-py3-compatibility.patch applied upstream.
  * Do not use the python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 22:51:08 +0100

magnum (7.1.0-2) unstable; urgency=medium

  * Fix magnum-common.postinst.in (Closes: #924967)

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 19 Mar 2019 10:41:03 +0100
