=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
 
 override_dh_clean:
+	dh_clean
 	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
 	rm -rf debian/*.upstart debian/*.service debian/*.init
 
@@ -27,16 +28,24 @@
 	pkgos-merge-templates magnum-common magnum db rabbit ksat
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
-	rm -rf $(CURDIR)/debian/python3-magnum/usr/etc
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
+	done
+	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	# See https://storyboard.openstack.org/#!/story/2003565
+	# to follow-up on failed tests in Sid (works in Stretch)
+	pkgos-dh_auto_test --no-py2 'magnum\.tests\.unit(?!(.*drivers\.test_heat_driver\.TestHeatPoller\.test_poll_done.*|.*drivers\.test_heat_driver\.TestHeatPoller\.test_poll_destroy.*))'
 endif
+
+#	mkdir -p $(CURDIR)/debian/python3-magnum/usr/bin
+#	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum/api/app.wsgi $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi
+#	chmod +x $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi
 
 	dh_install --fail-missing
 	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
-	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
 		--namespace magnum.conf \
 		--namespace oslo.concurrency \
@@ -53,19 +62,36 @@
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http
 
-	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
-	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lock/magnum
 
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf certificates cert_manager_type barbican
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_messaging_notifications driver messaging
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_version v3
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf trust cluster_user_trust true
 
-	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	# Magnum using also keystone_auth, set some defaults
+	# which are configured by debconf later
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_protocol http
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_version v3
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_url http://localhost:5000
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth www_authenticate_uri http://localhost:5000
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_name service
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_domain_name default
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth username magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth user_domain_name default
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth region_name regionOne
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_type password
+
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/policy.json \
 		--format json \
 		--namespace magnum
 
 	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common
-
+	cp etc/magnum/keystone_auth_default_policy.sample $(CURDIR)/debian/magnum-common/usr/share/magnum-common/keystone_auth_default_policy.json
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
