## magnum 10.0.0~b2~git2020020609.16ea8b63

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 openstackdocstheme>=1.20.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 os-api-ref>=1.4.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
+sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
 reno>=2.5.0 # Apache-2.0
