## magnum 10.0.0~b3~git2020032617.ce70da25

=== debian/changelog ===
magnum (10.0.0~b3~git2020032617.ce70da25-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/magnum-common.postinst.in: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:03:20 -0400
