## magnum 10.0.0~b3~git2020041013.01629398

=== debian/changelog ===
magnum (10.0.0~b3~git2020041013.01629398-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/magnum-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:09:25 -0400
