## magnum 10.0.0

=== debian/changelog ===
magnum (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728010. This fixes service failures
    with Python 3.8 (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 10:11:58 +0000
